Package org.codehaus.groovy.antlr.treewalker

# Class SourceCodeTraversal

java.lang.Object
org.codehaus.groovy.antlr.treewalker.TraversalHelper
org.codehaus.groovy.antlr.treewalker.SourceCodeTraversal

All Implemented Interfaces:
  `AntlrASTProcessor`

    public class SourceCodeTraversal
    extends TraversalHelper

A treewalker for the antlr generated AST that attempts to visit the AST nodes in the order needed to generate valid groovy source code.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.antlr.treewalker.TraversalHelper

  `unvisitedNodes`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SourceCodeTraversal​(Visitor visitor)` | Constructs a treewalker for the antlr generated AST that attempts to visit the AST nodes in the order needed to generate valid groovy source code.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `accept​(GroovySourceAST currentNode)` |
  `void` | `setUp​(GroovySourceAST t)` | gather, sort and process all unvisited nodes

  ### Methods inherited from class org.codehaus.groovy.antlr.treewalker.TraversalHelper

  `accept_FirstChild_v_RestOfTheChildren, accept_FirstChild_v_RestOfTheChildren_v, accept_FirstChild_v_RestOfTheChildren_v_LastChild, accept_FirstChild_v_SecondChild, accept_FirstChild_v_SecondChild_v, accept_FirstChild_v_SecondChild_v_ThirdChild_v, accept_FirstChild_v_SecondChildsChildren_v, accept_FirstSecondAndThirdChild_v_v_ForthChild, accept_SecondChild_v_ThirdChild_v, accept_v_AllChildren_v, accept_v_AllChildren_v_Siblings, accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v, accept_v_FirstChild_SecondChild_v_ThirdChild_v, accept_v_FirstChild_v, accept_v_FirstChild_v_RestOfTheChildren, accept_v_FirstChild_v_RestOfTheChildren_v, accept_v_FirstChild_v_SecondChild_v___LastChild_v, accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild, accept_v_FirstChildsFirstChild_v_RestOfTheChildren, accept_v_Siblings_v, acceptChildren, acceptSiblings, closingVisit, openingVisit, pop, process, push, secondVisit, skip, subsequentVisit, tearDown, visitNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SourceCodeTraversal

    public SourceCodeTraversal​(Visitor visitor)
    Constructs a treewalker for the antlr generated AST that attempts to visit the AST nodes in the order needed to generate valid groovy source code.
    Parameters:
      `visitor` - the visitor implementation to call for each AST node.

- ## Method Details

  - ### setUp

    public void setUp​(GroovySourceAST t)
    gather, sort and process all unvisited nodes
    Overrides:
      `setUp` in class `TraversalHelper`
    Parameters:
      `t` - the AST to process

  - ### accept

    protected void accept​(GroovySourceAST currentNode)
    Specified by:
      `accept` in class `TraversalHelper`